Subject: Vilmorin and Seed Savers ?

From: [email-masked] (Jonathan Pixley)
Date: Sun, 16 Oct 1994 22:03:10 GMT

I have recently heard about the Vilmorin (sp?) catalog which used to sell 
seeds of many varieties.  Is it still around or merely used as a 
reference of "what they had back then"?  Also, I've heard of Seed Savers 
which I am pretty sure is still around.  How do I get in touch with them, 
and with Vilmorin if it still exists?  And while I'm asking lots of 
questions, can anyone point me to a FAQ for this group?

Thanks in advance,

Jon Pixley
-- 
[email-masked]             Reunite Gondwanaland; stop plate tectonics!